curl --request GET \
--url https://api.kajabi.com/v1/landing_pages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "landing_pages",
"attributes": {
"title": "<string>",
"url": "<string>",
"publish_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Returns a list of landing pages which the current user may access
Use page[number] and page[size] parameters to paginate results:
GET /v1/landing_pages[number]=1&page[size]=10GET /v1/landing_pages[number]=2&page[size]=25Use the fields[landing_pages] parameter to request only specific attributes:
GET /v1/landing_pages?fields[landing_pages]=titleUse the sort parameter to sort the results:
GET /v1/landing_pages?sort=-publish_at&fields[landing_pages]=titleUse the filter[site_id] parameter to get landing pages for a specific site:
GET /v1/landing_pages?filter[site_id]=123List of attributes that may be used to filter: title, publish_at, created_at, updated_at
The filter param uses the following syntax: filter[attribute_name_suffix] with suffix for comparison:
eq for equalscont for containsnot_eq for not equalsnot_cont for not containsgt for greater thangte for greater than or equallt for less thanlte for less than or equalstart for starts withend for ends withFor example:
GET /v1/landing_pages?filter[title_start]=CourseGET /v1/landing_pages?filter[title_cont]=Landingcurl --request GET \
--url https://api.kajabi.com/v1/landing_pages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "landing_pages",
"attributes": {
"title": "<string>",
"url": "<string>",
"publish_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Sort order, use: title for descending order use '-' e.g. &sort=-title
Number of documents
Partial attributes as specified, e.g. fields[landing_pages]=title
Filter by title contains, for example ?filter[title_cont]=about
Filter by published status, for example ?filter[published]=true
Was this page helpful?